Oracle 10.2.0.4(5) EM不能启动的解决方法


原因:
Oracle官方说,用于EM通信的SSL在2010年12月31日00:00之后失效,导致之后的EM安装或升级将报错误,且不能启动。Oracle对此专门发布了补丁包8350262来解决这个问题。这就意味着以后的版本10204、10205的数据库,如果要使用EM,就必须打补丁包(patch 8350262)。在该版数据库安装或升级时,忽略掉EM安装报错信息而继续安装,不影响数据库本身的运行。
专用补丁包通用于Windows和Unix系统。下面是2个下载地址。
p8350262_10204_Generic.zip
http://dl.iteye.com/topics/download/cad88a9d-bb88-3b9b-8acd-daa3c5054f2e
p8350262_10205_Generic.zip
http://dl.iteye.com/topics/download/c9e40628-cd05-33ef-b1df-ad5420a6d9f4

安装补丁包(单实例数据库):
1、解压补丁包,并进入解压后的补丁包目录。
2、设置有关Oracle系统环境变量。要将%ORACLE_HOME%\opatch加入到系统环境变量PATH中(因为要在补丁目录里调用opatch命令)。
    > set ORACLE_HOME=d:\oracle\product\10.2.0\db_1
    > set ORACLE_SID=orcl
    > set PATH=%PATH%;%ORACLE_HOME%\opatch
   手工设置完成后,还应该设置永久系统环境变量。
   进入“计算机”》“属性”》“高级系统设置”》“高级”》“环境变量”》“系统变量”,然后填写变量及内容。
3、打补丁。
    > %ORACLE_HOME%\opatch apply
   完成后,查看%ORACLE_HOME%\cfgtoollogs\opatch\目录下生成的日志文件,确认patch的安装是否成功。
4、重新配置EM dbconsole安全性
    > emctl secure dbconsole -reset
  按提示输入管理员密码,然后会有两次确认请求,两次都输入大写的Y。
5、启动dbconsole
    > emctl start dbconsole

至此,EM安装完成并可以启动使用。
如果还不能启动EM,那需要重新配置EM本身了。

 

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:大白 设计师:CSDN官方博客 返回首页
评论

打赏作者

dlcj

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值